Bug 313460

Summary: Amarok crashes after "MySQLe query failed! (23) Out of resources when opening file" message
Product: amarok Reporter: Myriam Schweingruber <myriam>
Component: Collections/LocalAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED WORKSFORME    
Severity: crash CC: matej, myriam, ralf-engels
Priority: NOR Keywords: regression
Version: 2.7-git   
Target Milestone: 2.8   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi

Description Myriam Schweingruber 2013-01-18 17:51:28 UTC
Application: amarok (2.6-git)
KDE Platform Version: 4.9.97
Qt Version: 4.8.3
Operating System: Linux 3.5.0-22-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
The current playlist contains podcasts that are saved on an external Hard drive. If that drive is not available at startup it leads to a database read error.

This is reproducible every time

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
_dl_fixup (l=<optimized out>, reloc_arg=<optimized out>) at ../elf/dl-runtime.c:91
[Current thread is 1 (Thread 0x7fad27a67780 (LWP 16331))]

Thread 8 (Thread 0x7fad026bc700 (LWP 16372)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fad24fb504b in wait (time=18446744073709551615, this=0x1b3ede0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1ae0c50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fad2220d0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b3cae0, th=0x1a0a260) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fad2220f92b in ThreadWeaver::WorkingHardState::applyForWork (this=0x19d11c0, th=0x1a0a260) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fad2220e79f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fad026bbe00, parent=0x1b3cae0, th=th@entry=0x1a0a260) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fad2220e82b in ThreadWeaver::Thread::run (this=0x1a0a260) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fad24fb4aec in QThreadPrivate::start (arg=0x1a0a260) at thread/qthread_unix.cpp:338
#8  0x00007fad20c93e9a in start_thread (arg=0x7fad026bc700) at pthread_create.c:308
#9  0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fad010bc700 (LWP 16407)):
[KCrash Handler]
#6  0x00007fad24697425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fad2469ab8b in __GI_abort () at abort.c:91
#8  0x00007fad24faa4c2 in qt_message_output (msgType=msgType@entry=QtFatalMsg, buf=0x7facf8e226c8 "ASSERT: \"d\" in file /usr/include/ksharedptr.h, line 126") at global/qglobal.cpp:2290
#9  0x00007fad24faa838 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=msgType@entry=QtFatalMsg, msg=0x7fad25113f68 "ASSERT: \"%s\" in file %s, line %d", ap=ap@entry=0x7fad010bb8a8) at global/qglobal.cpp:2336
#10 0x00007fad24faa9c4 in qFatal (msg=<optimized out>) at global/qglobal.cpp:2519
#11 0x00007fad06b12bd0 in KSharedPtr<Meta::SqlTrack>::operator-> (this=0x7fad010bb9c0) at /usr/include/ksharedptr.h:126
#12 0x00007fad06b89b44 in SqlScanResultProcessor::removeTrack (this=0x7facf8024fe0, entry=...) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:484
#13 0x00007fad06b8917f in SqlScanResultProcessor::deleteDeletedTracks (this=0x7facf8024fe0, directoryId=67557) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:395
#14 0x00007fad06b89068 in SqlScanResultProcessor::deleteDeletedTracks (this=0x7facf8024fe0, directory=0x7facf80030e0) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:377
#15 0x00007fad06b3b078 in ScanResultProcessor::commit (this=0x7facf8024fe0) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/ScanResultProcessor.cpp:192
#16 0x00007fad06b86bde in SqlScanResultProcessor::commit (this=0x7facf8024fe0) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:50
#17 0x00007fad06b35930 in ScannerJob::run (this=0x2d2fa10) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/ScanManager.cpp:591
#18 0x00007fad2220ef9a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fad010bbdb0, th=th@entry=0x1ebfcb0, job=job@entry=0x2d2fa10) at ../../../threadweaver/Weaver/Job.cpp:106
#19 0x00007fad2220f111 in ThreadWeaver::Job::execute (this=0x2d2fa10, th=0x1ebfcb0) at ../../../threadweaver/Weaver/Job.cpp:135
#20 0x00007fad2220e76f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fad010bbe00, parent=0x1b3cae0, th=th@entry=0x1ebfcb0) at ../../../threadweaver/Weaver/Thread.cpp:95
#21 0x00007fad2220e82b in ThreadWeaver::Thread::run (this=0x1ebfcb0) at ../../../threadweaver/Weaver/Thread.cpp:142
#22 0x00007fad24fb4aec in QThreadPrivate::start (arg=0x1ebfcb0) at thread/qthread_unix.cpp:338
#23 0x00007fad20c93e9a in start_thread (arg=0x7fad010bc700) at pthread_create.c:308
#24 0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#25 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fad00869700 (LWP 16408)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fad24fb504b in wait (time=18446744073709551615, this=0x1b3ede0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1ae0c50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fad2220d0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b3cae0, th=0x1b5f240) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fad2220f92b in ThreadWeaver::WorkingHardState::applyForWork (this=0x19d11c0, th=0x1b5f240) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fad2220e79f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fad00868e00, parent=0x1b3cae0, th=th@entry=0x1b5f240) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fad2220e82b in ThreadWeaver::Thread::run (this=0x1b5f240) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fad24fb4aec in QThreadPrivate::start (arg=0x1b5f240) at thread/qthread_unix.cpp:338
#8  0x00007fad20c93e9a in start_thread (arg=0x7fad00869700) at pthread_create.c:308
#9  0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7facf3fff700 (LWP 16409)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fad24fb504b in wait (time=18446744073709551615, this=0x1b3ede0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1ae0c50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fad2220d0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b3cae0, th=0x1a69d90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fad2220f92b in ThreadWeaver::WorkingHardState::applyForWork (this=0x19d11c0, th=0x1a69d90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fad2220e79f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7facf3ffee00, parent=0x1b3cae0, th=th@entry=0x1a69d90) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fad2220e82b in ThreadWeaver::Thread::run (this=0x1a69d90) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fad24fb4aec in QThreadPrivate::start (arg=0x1a69d90) at thread/qthread_unix.cpp:338
#8  0x00007fad20c93e9a in start_thread (arg=0x7facf3fff700) at pthread_create.c:308
#9  0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7facf1063700 (LWP 16425)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fad1ad2db2d in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7fad1b6ee280 <WTF::pageheap_memory>) at wtf/FastMalloc.cpp:2499
#2  0x00007fad1ad2dc39 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at wtf/FastMalloc.cpp:1622
#3  0x00007fad20c93e9a in start_thread (arg=0x7facf1063700) at pthread_create.c:308
#4  0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7face7fff700 (LWP 16426)):
#0  0x00007fad24749303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fad1e0d8d84 in g_main_context_poll (n_fds=1, fds=0x7face00029c0, timeout=2713, context=0x7face00009a0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7face00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007fad1e0d8ea4 in g_main_context_iteration (context=0x7face00009a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#4  0x00007fad250dfc16 in QEventDispatcherGlib::processEvents (this=0x7face00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fad250b02bf in QEventLoop::processEvents (this=this@entry=0x7face7ffee00, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fad250b0548 in QEventLoop::exec (this=0x7face7ffee00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fad24fb1b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fad24fb4aec in QThreadPrivate::start (arg=0x254f870) at thread/qthread_unix.cpp:338
#9  0x00007fad20c93e9a in start_thread (arg=0x7face7fff700) at pthread_create.c:308
#10 0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7facdda98700 (LWP 16505)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fad2126ccd7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fad2157a660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fad2126cd09 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fad20c93e9a in start_thread (arg=0x7facdda98700) at pthread_create.c:308
#4  0x00007fad24754cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fad27a67780 (LWP 16331)):
#0  _dl_fixup (l=<optimized out>, reloc_arg=<optimized out>) at ../elf/dl-runtime.c:91
#1  0x00007fad2797c245 in _dl_runtime_resolve () at ../sysdeps/x86_64/dl-trampoline.S:42
#2  0x00007fad196ddef3 in __do_global_dtors_aux () from /usr/lib/x86_64-linux-gnu/libQtDeclarative.so.4
#3  0x00007fff40536980 in ?? ()
#4  0x00007fad2797691e in _dl_fini () at dl-fini.c:254
Backtrace stopped: frame did not save the PC

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-01-26 12:03:51 UTC
Created attachment 76734 [details]
New crash information added by DrKonqi

amarok (2.7-git) on KDE Platform 4.9.98 using Qt 4.8.3

Now the backtrace is slightly different.

-- Backtrace (Reduced):
#6  0x00007fac81bf4425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fac81bf7b8b in __GI_abort () at abort.c:91
[...]
#11 0x00007fac640e3c30 in KSharedPtr<Meta::SqlTrack>::operator-> (this=0x7fac5a6e28f0) at /usr/include/ksharedptr.h:126
#12 0x00007fac64158b1a in SqlScanResultProcessor::commitTrack (this=0x7fac4c022920, track=0x7fac4c246b50, srcAlbum=0x7fac4cc90150) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:173
#13 0x00007fac6415815f in SqlScanResultProcessor::commitAlbum (this=0x7fac4c022920, album=0x7fac4cc90150) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:100
Comment 2 Myriam Schweingruber 2013-01-26 12:08:35 UTC
(In reply to comment #1)
> Created attachment 76734 [details]
> New crash information added by DrKonqi
> 
> amarok (2.7-git) on KDE Platform 4.9.98 using Qt 4.8.3
> 
> Now the backtrace is slightly different.
... and it happens with a local playlist, not podcasts. I didn't do anything, just opened Amarok, it crashed after a few minutes, nothing playing:

amarok:   BEGIN: virtual void SqlScanResultProcessor::commit() 
amarok:     BEGIN: void SqlScanResultProcessor::urlsCacheInit() 
amarok:     END__: void SqlScanResultProcessor::urlsCacheInit() [Took: 0.68s] 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67557" from 1358884721 to 1359135413 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359135413 WHERE id = 67557;" 
amarok:     BEGIN: void Podcasts::GpodderProvider::requestEpisodeActionsInCascade() 
amarok:       [GpodderProvider] Requesting actions for  "http://deimhart.net/rss.php?version=2.0&podcast_format=ogg" 
amarok:     END__: void Podcasts::GpodderProvider::requestEpisodeActionsInCascade() [Took: 0.002s] 
JSonScanner::yylex - unknown char, returning -1 
amarok:     BEGIN: void Podcasts::GpodderProvider::episodeActionsInCascadeParseError() 
amarok:       [GpodderProvider] episodeActionsInCascade [Status Synchronization] - Parse Error 
amarok:     END__: void Podcasts::GpodderProvider::episodeActionsInCascadeParseError() [Took: 0s] 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67568" from 1358534245 to 1359113832 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359113832 WHERE id = 67568;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67577" from 1358530648 to 1359113939 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359113939 WHERE id = 67577;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67580" from 1358884666 to 1359113833 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359113833 WHERE id = 67580;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67581" from 1358534202 to 1359133601 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359133601 WHERE id = 67581;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67599" from 1358884703 to 1359113935 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359113935 WHERE id = 67599;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67602" from 1358884723 to 1359113906 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359113906 WHERE id = 67602;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67606" from 1358534205 to 1359130005 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359130005 WHERE id = 67606;" 
amarok:     [SqlRegistry] SqlRegistry::getDirectory update Directory "67607" from 1358884668 to 1359113824 
amarok:     [SqlRegistry] "UPDATE directories SET changedate = 1359113824 WHERE id = 67607;" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT urls.id, urls.deviceid, urls.rpath, urls.directory, urls.uniqueid, tracks.id, tracks.title, tracks.comment, tracks.tracknumber, tracks.discnumber, statistics.score, statistics.rating, tracks.bitrate, tracks.length, tracks.filesize, tracks.samplerate, statistics.id, statistics.createdate, statistics.accessdate, statistics.playcount, tracks.filetype, tracks.bpm, tracks.createdate, tracks.modifydate, tracks.albumgain, tracks.albumpeakgain, tracks.trackgain, tracks.trackpeakgain, artists.name, artists.id, albums.name, albums.id, albums.artist, genres.name, genres.id, composers.name, composers.id, years.name, years.id FROM urls LEFT JOIN tracks ON urls.id = tracks.url LEFT JOIN statistics ON urls.id = statistics.url LEFT JOIN artists ON tracks.artist = artists.id LEFT JOIN albums ON tracks.album = albums.id LEFT JOIN genres ON tracks.genre = genres.id LEFT JOIN composers ON tracks.composer = composers.id LEFT JOIN years ON tracks.year = years.id WHERE urls.deviceid = 2 AND urls.rpath = './Podcasts/RTS - 120 secondes - Couleur 3/leve-toi-et-marche_20130125_standard_120-secondes_9a2646e0-332b-4d2c-899e-203208f0b648-128k.mp3';" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT id FROM years WHERE name = '2013';" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on INSERT INTO years( name ) VALUES ('2013');" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT urls.id, urls.deviceid, urls.rpath, urls.directory, urls.uniqueid, tracks.id, tracks.title, tracks.comment, tracks.tracknumber, tracks.discnumber, statistics.score, statistics.rating, tracks.bitrate, tracks.length, tracks.filesize, tracks.samplerate, statistics.id, statistics.createdate, statistics.accessdate, statistics.playcount, tracks.filetype, tracks.bpm, tracks.createdate, tracks.modifydate, tracks.albumgain, tracks.albumpeakgain, tracks.trackgain, tracks.trackpeakgain, artists.name, artists.id, albums.name, albums.id, albums.artist, genres.name, genres.id, composers.name, composers.id, years.name, years.id FROM urls LEFT JOIN tracks ON urls.id = tracks.url LEFT JOIN statistics ON urls.id = statistics.url LEFT JOIN artists ON tracks.artist = artists.id LEFT JOIN albums ON tracks.album = albums.id LEFT JOIN genres ON tracks.genre = genres.id LEFT JOIN composers ON tracks.composer = composers.id LEFT JOIN years ON tracks.year = years.id WHERE urls.deviceid = 2 AND urls.rpath = './Podcasts/RTS - 120 secondes - Couleur 3/leve-toi-et-marche_20130124_standard_120-secondes_d5b0786e-84cc-418f-aedb-d25ab3dd3c65-128k.mp3';" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT id FROM years WHERE name = '2013';" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on INSERT INTO years( name ) VALUES ('2013');" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT urls.id, urls.deviceid, urls.rpath, urls.directory, urls.uniqueid, tracks.id, tracks.title, tracks.comment, tracks.tracknumber, tracks.discnumber, statistics.score, statistics.rating, tracks.bitrate, tracks.length, tracks.filesize, tracks.samplerate, statistics.id, statistics.createdate, statistics.accessdate, statistics.playcount, tracks.filetype, tracks.bpm, tracks.createdate, tracks.modifydate, tracks.albumgain, tracks.albumpeakgain, tracks.trackgain, tracks.trackpeakgain, artists.name, artists.id, albums.name, albums.id, albums.artist, genres.name, genres.id, composers.name, composers.id, years.name, years.id FROM urls LEFT JOIN tracks ON urls.id = tracks.url LEFT JOIN statistics ON urls.id = statistics.url LEFT JOIN artists ON tracks.artist = artists.id LEFT JOIN albums ON tracks.album = albums.id LEFT JOIN genres ON tracks.genre = genres.id LEFT JOIN composers ON tracks.composer = composers.id LEFT JOIN years ON tracks.year = years.id WHERE urls.deviceid = 2 AND urls.rpath = './Podcasts/RTS - 120 secondes - Couleur 3/leve-toi-et-marche_20130123_standard_120-secondes_af453961-9770-4313-a5ea-a481f49b9bf5-128k.mp3';" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT id FROM years WHERE name = '2013';" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on INSERT INTO years( name ) VALUES ('2013');" 
amarok:     [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT urls.id, urls.deviceid, urls.rpath, urls.directory, urls.uniqueid, tracks.id, tracks.title, tracks.comment, tracks.tracknumber, tracks.discnumber, statistics.score, statistics.rating, tracks.bitrate, tracks.length, tracks.filesize, tracks.samplerate, statistics.id, statistics.createdate, statistics.accessdate, statistics.playcount, tracks.filetype, tracks.bpm, tracks.createdate, tracks.modifydate, tracks.albumgain, tracks.albumpeakgain, tracks.trackgain, tracks.trackpeakgain, artists.name, artists.id, albums.name, albums.id, albums.artist, genres.name, genres.id, composers.name, composers.id, years.name, years.id FROM urls LEFT JOIN tracks ON urls.id = tracks.url LEFT JOIN statistics ON urls.id = statistics.url LEFT JOIN artists ON tracks.artist = artists.id LEFT JOIN albums ON tracks.album = albums.id LEFT JOIN genres ON tracks.genre = genres.id LEFT JOIN composers ON tracks.composer = composers.id LEFT JOIN years ON tracks.year = years.id WHERE urls.id = 86907" 
ASSERT: "d" in file /usr/include/ksharedptr.h, line 126
Comment 3 Ralf Engels 2013-02-12 11:33:10 UTC
Git commit 31f75878b6658b5c29fa681a1dc61454b35e502f by Ralf Engels.
Committed on 12/02/2013 at 01:19.
Pushed by rengels into branch 'master'.

Fix: Amarok crashes on start if a playlist source is unavailable
FIXED-IN: 2.8

M  +3    -3    src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp

http://commits.kde.org/amarok/31f75878b6658b5c29fa681a1dc61454b35e502f
Comment 4 Matěj Laitl 2013-02-20 23:48:59 UTC
Git commit ae35ba412120b3cbcfb1e651811b4669dab36cad by Matěj Laitl.
Committed on 21/02/2013 at 00:43.
Pushed by laitl into branch 'master'.

Revert "Fix: Amarok crashes on start if a playlist source is unavailable"

This reverts commit 31f75878b6658b5c29fa681a1dc61454b35e502f.

Ralf, this is not the Q_ASSERT in SqlScanResultProcessor.cpp that fails,
it is the metaTrack-> (i.e. KShatedPtr::operator->) that fails!

This needs to be solved differently, reverting this for now.

M  +3    -3    src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp

http://commits.kde.org/amarok/ae35ba412120b3cbcfb1e651811b4669dab36cad
Comment 5 Matěj Laitl 2013-02-20 23:53:09 UTC
> amarok: [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' (Errcode: 24) on SELECT urls.id, urls.deviceid, urls.rpath, urls.directory, urls.uniqueid, tracks.id, tracks.title, tracks.comment, tracks.tracknumber, tracks.discnumber, statistics.score, statistics.rating, tracks.bitrate, tracks.length, tracks.filesize, tracks.samplerate, statistics.id, statistics.createdate, statistics.accessdate, statistics.playcount, tracks.filetype, tracks.bpm, tracks.createdate, tracks.modifydate, tracks.albumgain, tracks.albumpeakgain, tracks.trackgain, tracks.trackpeakgain, artists.name, artists.id, albums.name, albums.id, albums.artist, genres.name, genres.id, composers.name, composers.id, years.name, years.id FROM urls LEFT JOIN tracks ON urls.id = tracks.url LEFT JOIN statistics ON urls.id = statistics.url LEFT JOIN artists ON tracks.artist = artists.id LEFT JOIN albums ON tracks.album = albums.id LEFT JOIN genres ON tracks.genre = genres.id LEFT JOIN composers ON tracks.composer = composers.id LEFT JOIN years ON tracks.year = years.id WHERE urls.deviceid = 2 AND urls.rpath = './Podcasts/RTS - 120 secondes - Couleur 3/leve-toi-et-marche_20130125_standard_120-secondes_9a2646e0-332b-4d2c-899e-203208f0b648-128k.mp3';"

^^^^ Myriam, I think this is the root cause, the Amarok crash is just a consequence. I don't know what  (23) Out of resources when opening file '/home/myriam/.kde/share/apps/amarok/mysqle/amarok/years.MYD' actually means, but it could be you running out of memory, disk partition space, open file descriptors or other system-imposed limit.
Comment 6 Matěj Laitl 2013-02-20 23:54:52 UTC
Please try to fix the problem with opening the database file and then try to reproduce.
Comment 7 Myriam Schweingruber 2013-02-21 06:55:58 UTC
I just tried with v2.7.0-95-g914c24e and can't reproduce this anymore.
But since I tried last time I cleaned up some stuff on that partition as it was quite full, so that might have been the problem indeed.